Results 1 to 4 of 4

Thread: Anki Error: bad interpreter

  1. #1

    Default Anki Error: bad interpreter

    Hi, I get this error when trying to run the latest anki on tumbleweed:

    "bash: /usr/bin/anki: python3: bad interpreter: No such file or directory"

    Can anyone help? I searched the forums and I couldn't find any mention of this.
    Thank you.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,796
    Blog Entries
    15

    Default Re: Anki Error: bad interpreter

    Quote Originally Posted by darkeststar View Post
    Hi, I get this error when trying to run the latest anki on tumbleweed:

    "bash: /usr/bin/anki: python3: bad interpreter: No such file or directory"

    Can anyone help? I searched the forums and I couldn't find any mention of this.
    Thank you.
    Hi
    That looks like a packaging error with the sed command....

    As root user edit /usr/bin/anki and change the first line from;

    Code:
    #!python3
    
    to
    
    #!/usr/bin/python3
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,796
    Blog Entries
    15

    Default Re: Anki Error: bad interpreter

    On Sun 19 May 2019 11:46:03 PM CDT, malcolmlewis wrote:

    darkeststar;2902958 Wrote:
    > Hi, I get this error when trying to run the latest anki on
    > tumbleweed:
    >
    > "bash: /usr/bin/anki: python3: bad interpreter: No such file or
    > directory"
    >
    > Can anyone help? I searched the forums and I couldn't find any mention
    > of this.
    > Thank you.

    Hi
    That looks like a packaging error with the sed command....

    As root user edit /usr/bin/anki and change the first line from;


    Code:
    --------------------

    #!python3

    to

    #!/usr/bin/python3

    --------------------


    Hi
    And a fix is pushed... https://build.opensuse.org/request/show/704109

    --
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    Tumbleweed 20190516 | GNOME Shell 3.32.1 | 5.1.2-1-default
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  4. #4

    Default Re: Anki Error: bad interpreter

    Wow. Thank you. There's this veil I forget doesn't exist with linux as it does with windows and macos, that anyone can submit a patch and fix
    whatever bugs one comes across. I'm gonna learn all about openbuildservice now because there are a few packages I wish were in the repos, so maybe I can help
    bring them along. Thank you.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •